Create Lead Event: Entrata
https://api.propexo.com/v1/events/leads/entrata/Create an event for an applicant in Entrata. Entrata expects all times to be in Mountain Time (UTC-7:00 or UTC-6:00 depending on daylight savings). Times will be automatically converted based on the local time of the property when an end user views the event time in the browser.
| Method |
|---|
| leads/updateLeads |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead
The Propexo unique identifier for the event type. Not all event types are currently supported. Contact Propexo support if there's an event type you'd like supported.
The Propexo unique identifier for the event result
The Propexo unique identifier for the event sub type
The Propexo unique identifier for the employee
The Propexo unique identifier for the unit
The date when the event will occur
The reasons for the event
Notes associated with the event
The date when the appointment will occur
The title associated with the event
The phone number that the call was made from. Required for call event types.
The phone number that the call was received on. Required for call event types.
The status of the call. Required for call event types.
Show 7 enum values
BUSYABANDONEDDISCONNECTEDFAILURE_TO_CONNECTNO_ANSWERANSWERVOICEMAILThe duration of the call in seconds. Required for call event types.
Possible values: >= 0 and <= 86400
The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.
The body of the email.
The subject of the email.
The email address that the email was sent from. Required for email outgoing event types.
The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address
The carbon copy email address that the email was sent to.
The blind carbon copy email address that the email was sent to.
Whether the email should be sent.
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lead
The Propexo unique identifier for the event type. Not all event types are currently supported. Contact Propexo support if there's an event type you'd like supported.
The Propexo unique identifier for the event result
The Propexo unique identifier for the event sub type
The Propexo unique identifier for the employee
The Propexo unique identifier for the unit
The date when the event will occur
The reasons for the event
Notes associated with the event
The date when the appointment will occur
The time that the appointment will start. HH:MM:SS format. Required if using appointment type.
The time that the appointment will end. HH:MM:SS format. Required if using appointment type.
The title associated with the event
The phone number that the call was made from. Required for call event types.
The phone number that the call was received on. Required for call event types.
The status of the call. Required for call event types.
Show 7 enum values
BUSYABANDONEDDISCONNECTEDFAILURE_TO_CONNECTNO_ANSWERANSWERVOICEMAILThe duration of the call in seconds. Required for call event types.
Possible values: >= 0 and <= 86400
The URL of the audio file for the call. This can be any valid URL and doesn't necessarily need to link to a audio file. Required for call event types.
The body of the email.
The subject of the email.
The email address that the email was sent from. Required for email outgoing event types.
The email address that the email was sent to. If specified, this must be the same email address as the lead's primary email address
The carbon copy email address that the email was sent to.
The blind carbon copy email address that the email was sent to.
Whether the email should be sent.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/events/leads/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"event_type_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"event_type_id": "string",
"event_result_id": "string",
"event_sub_type_id": "string",
"employee_id": "string",
"unit_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"reasons_for_event": "string",
"notes": "string",
"appointment_datetime": "2024-07-29T15:51:28.071Z",
"time_from": "string",
"time_to": "string",
"title": "string",
"call_phone_number_from": "string",
"call_phone_number_to": "string",
"call_status": "BUSY",
"call_duration": 0,
"call_audio_link": "string",
"email_body": "string",
"email_subject": "string",
"email_from": "string",
"email_to": "string",
"email_cc": "string",
"email_bcc": "string",
"email_send": true
}
}